define([
    'bitbucket/internal/feature/file-content/handlers/diff-handler/diff-handler-internal'
], function(
    diffHandlerInternal
) {

    module('diff-handler-internal');

    test('Test is added or removed', function () {
        ok(!diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'CONTEXT'}, {type: 'ADDED'}]}]}));
        ok(!diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'ADDED'}]}, {segments: [{type: 'CONTEXT'}]}]}));
        ok(!diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'REMOVED'}, {type: 'ADDED'}]}]}));
        ok(!diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'ADDED'}]}, {segments: [{type: 'REMOVED'}]}]}));
        ok(!diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'CONTEXT'}]}, {segments: [{type: 'CONTEXT'}]}]}));
        ok(diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'ADDED'}]}, {segments: [{type: 'ADDED'}]}]}));
        ok(diffHandlerInternal.isAddedOrRemoved({hunks: [{segments: [{type: 'REMOVED'}]}, {segments: [{type: 'REMOVED'}]}]}));
    });
});
